本文整理汇总了C#中Form.AddProfile方法的典型用法代码示例。如果您正苦于以下问题:C# Form.AddProfile方法的具体用法?C# Form.AddProfile怎么用?C# Form.AddProfile使用的例子?那么, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类Form
的用法示例。
在下文中一共展示了Form.AddProfile方法的1个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。
示例1: AddProfile
/// <summary>
/// Add profile to the loft form
/// </summary>
/// <param name="form">The loft form to be added edge</param>
/// <returns>Index of the added profile</returns>
private int AddProfile(Form form)
{
// Get a connecting edge from the form
Autodesk.Revit.DB.XYZ startOfTop = new Autodesk.Revit.DB.XYZ (-1 * m_topLength / 2, -1 * m_topWidth / 2, m_topHeight);
Autodesk.Revit.DB.XYZ startOfBottom = new Autodesk.Revit.DB.XYZ (-1 * m_bottomLength / 2, -1 * m_bottomWidth / 2, m_bottomHeight);
Edge connectingEdge = GetEdgeByEndPoints(form, startOfTop, startOfBottom);
// Add an profile with specific parameters
double param = 0.5;
return form.AddProfile(connectingEdge.Reference, param);
}